diff -ur ircd-hybrid-6/src/s_conf.c ircd-hybrid-6+hidden_operflags/src/s_conf.c
--- ircd-hybrid-6/src/s_conf.c	Mon Apr 29 23:54:02 2002
+++ ircd-hybrid-6+hidden_operflags/src/s_conf.c	Sun May 19 16:04:28 2002
@@ -323,15 +323,6 @@
         else if(mask & (CONF_OPERATOR|CONF_LOCOP))
           {
             /* Don't allow non opers to see oper privs */
-            if(IsAnOper(sptr))
-              sendto_one(sptr, form_str(p->rpl_stats), me.name,
-                         sptr->name,
-                         p->conf_char,
-                         user, host, name,
-                         oper_privs_as_string((struct Client *)NULL,port),
-                         get_conf_class(tmp),
-                         oper_flags_as_string((int)tmp->hold));
-            else
               sendto_one(sptr, form_str(p->rpl_stats), me.name,
                          sptr->name,
                          p->conf_char,
Binary files ircd-hybrid-6/src/s_conf.o and ircd-hybrid-6+hidden_operflags/src/s_conf.o differ
diff -ur ircd-hybrid-6/src/s_user.c ircd-hybrid-6+hidden_operflags/src/s_user.c
--- ircd-hybrid-6/src/s_user.c	Mon Apr 29 23:54:29 2002
+++ ircd-hybrid-6+hidden_operflags/src/s_user.c	Sun May 19 16:02:59 2002
@@ -188,26 +188,12 @@
   for(cptr2 = oper_cptr_list; cptr2; cptr2 = cptr2->next_oper_client)
     {
       ++j;
-      if (MyClient(cptr) && IsAnOper(cptr))
-        {
-          sendto_one(cptr, ":%s %d %s :[%c][%s] %s (%s@%s) Idle: %d",
-                     me.name, RPL_STATSDEBUG, cptr->name,
-                     IsOper(cptr2) ? 'O' : 'o',
-                     oper_privs_as_string(cptr2,
-                                          cptr2->confs->value.aconf->port),
-                     cptr2->name,
-                     cptr2->username, cptr2->host,
-                     CurrentTime - cptr2->user->last);
-        }
-      else
-        {
-          sendto_one(cptr, ":%s %d %s :[%c] %s (%s@%s) Idle: %d",
-                     me.name, RPL_STATSDEBUG, cptr->name,
-                     IsOper(cptr2) ? 'O' : 'o',
-                     cptr2->name,
-                     cptr2->username, cptr2->host,
-                     CurrentTime - cptr2->user->last);
-        }
+      sendto_one(cptr, ":%s %d %s :[%c] %s (%s@%s) Idle: %d",
+                 me.name, RPL_STATSDEBUG, cptr->name,
+                 IsOper(cptr2) ? 'O' : 'o',
+                 cptr2->name,
+                 cptr2->username, cptr2->host,
+                 CurrentTime - cptr2->user->last);
     }
 
   sendto_one(cptr, ":%s %d %s :%d OPER%s", me.name, RPL_STATSDEBUG,
